Bug 1916096 - [oVirt] csi operator panics if ovirt-engine suddenly becomes unavailable.
Summary: [oVirt] csi operator panics if ovirt-engine suddenly becomes unavailable.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 4.6.z
Assignee: Gal Zaidman
QA Contact: Gal Zaidman
URL:
Whiteboard:
Depends On: 1917147
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-14 08:04 UTC by Gal Zaidman
Modified: 2021-02-08 13:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1916100 1917147 (view as bug list)
Environment:
Last Closed: 2021-02-08 13:51:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovirt-csi-driver-operator pull 37 0 None closed Bug 1916096: [release-4.6] check FollowLink errors 2021-02-05 18:34:14 UTC
Red Hat Product Errata RHSA-2021:0308 0 None None None 2021-02-08 13:51:37 UTC

Description Gal Zaidman 2021-01-14 08:04:51 UTC
Description of problem:
This is a bug for PR https://github.com/openshift/ovirt-csi-driver-operator/pull/31 cheery pick

FollowLink function issues an additional HTTP call which may fail if ovirt-engine suddenly becomes unavailable.

Currently it will panic, but once [1] is merged, an error will be returned.

[1] https://github.com/openshift/ovirt-csi-driver-operator/pull/38
[2] https://github.com/openshift/ovirt-csi-driver-operator/pull/31

Steps to Reproduce:
1. Make the engine suddenly unavailable
2. Watch the CSI logs for a panic error

** I recommend verifying this and https://bugzilla.redhat.com/show_bug.cgi?id=1916100 together because this BZ added the code to handle the error, and BZ1916100 added the code that throws it

Comment 6 errata-xmlrpc 2021-02-08 13:51:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.6.16 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0308


Note You need to log in before you can comment on or make changes to this bug.